Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07969 Gameplay Minor Always May 6, 2021, 11:22 May 9, 2021, 16:45
Tester Hirudov View Status Public Platform MAME (Official Binary)
Assigned To Tafoid Resolution Fixed OS
Status [?] Resolved Driver galaxian.cpp
Version 0.231 Fixed in Version 0.232 Build 64-bit
Fixed in Git Commit cdb476e Github Pull Request #
Summary 07969: offensiv: Loses sound after stage 1 and is not possible to complete because of bar at stage 5
Description When playing the game Offensive (Spanish bootleg of Scramble), the sound disappears after stage 1 (when the flying saucers at stage 2 appear). Also there is a bar at stage 5 (not sure if a bad dump or placed intentionally), before some fuel tanks, making the game incompletable.
Steps To Reproduce Play the game and reach stage 2 - sound disappears, or sounds starts to play an uninterrupted noise. This happens when the flying saucers appear, so it may be something connected with their sample sounds.
Play the game and reach stage 5 - there is bar between before the fuel tanks.
Additional Information Tried playing it several times and the bugs always appear. Not sure if it is the game itself or bug in MAME.
Github Commit
Flags
Regression Version
Affected Sets / Systems offensiv
Attached Files
jpg file icon Offensive MAME 0.231.jpg (413,920 bytes) May 6, 2021, 11:22 Uploaded by Hirudov
Screenshots of the game where the bugs appear.
Hirudov
Relationships
There are no relationship linked to this issue.
Notes
4
User avatar
No.18816
Haze
Senior Tester
May 6, 2021, 12:56
probably a bad dump, some of the other tiles around there look broken too.
User avatar
No.18819
Tafoid
Administrator
May 7, 2021, 00:42
I'm leaning towards bad dumps as well. Reacts the same since added in in MAME 0.187
User avatar
No.18821
Osso
Developer
May 7, 2021, 15:35
Credits to Tafoid for finding the other, correct dumps.
User avatar
No.18825
Hirudov
Tester
May 9, 2021, 16:45
Video showing the bugs -


I will try to make new video when I obtain the new release.